Subject: Re: Slashes on WIn95 using bash
From: [email-masked] (Larry Hall)

15 Sep 1997 06:46:58 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Morten Haavaldsen <[email-masked]>, [email-masked]

At 11:01 AM 9/15/97 +0200, Morten Haavaldsen wrote:
>Hi!
>
>OS: Win95
>
>HOME is set to c:\Morten
>
>Performing ls ~
>gives
>
>c:Morten
>
>Also running the make utility produces same errors with pathnames to
>executables...the slashes are taken away...
>
>Does there exist any variable which can be set ???
>
>Regards,
>Morten
>

I've found ~ is set to the value of HOME prior to any path translation
during the bash startup.  Therefore, the backslash disappears because it
is an escape character in *NIX.  The only solution I've come up with is
to set HOME to a *NIX style name (/Morten in your case) in Windows.  This
will set ~ to /Morten and work as expected.  The downside is that HOME is
not in a suitable format for Windows.  This is acceptable to me as there
are other variables I can use if I need something similar for Windows 
(actually I haven't found such a need yet though.)  The one disclaimer 
I'll make is that I am working on NT 4.0 + SP3.  I don't know if this 
would all live another life in 95....

Larry

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".